function [NDWI,iwater,R] = estimate_NDWI(dat,PAR,name)
%
% USAGE: [NDWI,iwater,R] = estimate_NDWI(dat,PAR,name)
% PAR has MASS header info and dat has radiance data in the form of a matlab.io file
% or in structures w/ fields:
% PAR.Wavelength      = center of spectral bins;
% PAR.Wavelencth_width= bin width of band
% dat.rad             = spectral radiance
% name                = string if 'rad' is not default variable
% 
if exist('name','var')
%     dum = struct([]);
%     eval(['dum(1).rad = dat.',name,';'])
%     dat = dum;
    dum = ['dat.',name];
    info = whos(dat,name);
else 
    dum = ['dat.rad'];
    info = whos(dat,'rad');
end
    nD = numel(info.size);

%
L  = PAR.Wavelength;
dL = PAR.Wavelength_width;
info = whos(dat,'rad');
nc=info.size(1);
na=info.size(2);
nL=info.size(3);
%
dLL = repmat( reshape(dL,1,1,nL), nc, na, 1 );
R = sum( eval(dum).*dLL,3);
Rmax = nanmax(R(:));
%
% bands for NDWI ratio 
bband = [400 430];
gband = [455 485];
r0band= [520 550];
r0band= [625 650];
rband = [850 880];
%
%ib    = find( L-dL/2>=bband(1) & L+dL/2<=bband(2) );
ig    = find( L-dL/2>=gband(1) & L+dL/2<=gband(2) );
%ir0   = find( L-dL/2>=r0band(1) & L+dL/2<=r0band(2) );
ir    = find( L-dL/2>=rband(1) & L+dL/2<=rband(2) );
%
%
%Rb    = sum( dLL(:,:,ib).*eval([dum,'(:,:,ib)'])  ,3)./R;
Rg    = sum( dLL(:,:,ig).*eval([dum,'(:,:,ig)'])  ,3)./R;
%Rr0   = sum( dLL(:,:,ir0).*eval([dum,'(:,:,ir0)']),3)./R;
Rr    = sum( dLL(:,:,ir).*eval([dum,'(:,:,ir)'])  ,3)./R;
%
NDWI = (Rr-Rg)./(Rr+Rg);

iwater = NDWI<=-0.2;
