function [a,c] = map_xy_to_ac_CSIDE_v2(x,y);
%
% USAGE: [a,c] = map_xy_to_ac_CSIDE_v2(x,y);
%
% convert IB09 (x,z) to (a,c) coorinates using smooth (~1km) NOAA 
% Tsunami DEM estimated shoreline location. 
% The origin is near the IB lifeguard station.
% 
% uses: /home/dgrimes/CSIDE/R2/mfiles/xytoac_v2.m
% derived from: /data1/CSIDE/MASS/mfiles/xytoac_imperialbeach.m
% see also: /home/dgrimes/CSIDE/R2/mfiles/compile_RAD_in_shorenormal_coords.m

% generate ac coords
a = nan(size(x));
c = nan(size(x));
np = numel(x);
nmax = 1e6;
dnp= np./nmax;
isamp = 1:nmax;
disp(['\n ', num2str(dnp), ' data-sequences to process' ]);
for i = 1:floor(dnp);
disp(['   processing sequence:  ',num2str(i)])
[a_,c_] = xytoac_v2(x(isamp),y(isamp));
a(isamp) = a_;
c(isamp) = c_;
isamp = isamp+nmax;
end
%
[a_,c_,xshoreline,yshoreline] = xytoac_v2(x(isamp(1):end),y(isamp(1):end));
a(isamp(1):end) = a_;
c(isamp(1):end) = c_;

% shift to release location?
